Bug 173841 - CVE-2005-3732 ipsec-tools IKE DoS
Summary: CVE-2005-3732 ipsec-tools IKE DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ipsec-tools   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard: impact=low,public=20051120,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-21 20:24 UTC by Josh Bressers
Modified: 2018-10-19 19:18 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0267
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 14:39:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0267 normal SHIPPED_LIVE Moderate: ipsec-tools security update 2006-04-25 04:00:00 UTC

Description Josh Bressers 2005-11-21 20:24:47 UTC
ipsec-tools IKE DoS

There is a denial of service bug in racoon which can only be triggered
by having a very weak configuration.

More information is in the message posted to the ipsec-tools mailing 
list:
http://sourceforge.net/mailarchive/forum.php?thread_id=9017454&forum_id=32000

The patch is here:
http://cvs.sourceforge.net/viewcvs.py/ipsec-tools/ipsec-tools/src/racoon/isakmp_agg.c?r1=1.20.2.3&r2=1.20.2.4&diff_format=u


This issue also affects RHEL3

Comment 10 Red Hat Bugzilla 2006-04-25 14:39:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0267.html



Note You need to log in before you can comment on or make changes to this bug.